Bug 1294424 - [GSS] (6.2.z) Error jitting a compareTo constraint
[GSS] (6.2.z) Error jitting a compareTo constraint
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR2
: 6.2.1
Assigned To: Mario Fusco
Marek Winkler
:
Depends On: 1293587
Blocks: 1288021 1288023
  Show dependency treegraph
 
Reported: 2015-12-28 02:50 EST by Anton Giertli
Modified: 2016-02-02 09:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1293587
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original reproducer with updated version (4.98 KB, application/zip)
2016-01-18 11:12 EST, Marek Winkler
no flags Details

  None (edit)
Comment 2 Mario Fusco 2016-01-04 12:37:24 EST
Cherry-picked to 6.3.x branch with https://github.com/droolsjbpm/drools/commit/a894c288c
Comment 3 Marek Winkler 2016-01-18 11:12 EST
Created attachment 1115874 [details]
Original reproducer with updated version

I have tried the original reproducer from BZ 1293587 and it still fails. I have tested it also against 6.4.0-SNAPSHOT and it fails as well.

To reproduce, unzip the attached reproducer and run:

  mvn clean verify exec:java -Dexec.mainClass=fr.jsoula.jboss.drools.bugs.comparable.ComparableBug
Comment 4 Mario Fusco 2016-01-18 13:11:09 EST
Cherry-picked to 6.3.x branch with https://github.com/droolsjbpm/drools/commit/001e2d28d
Comment 5 Marek Winkler 2016-02-02 09:36:12 EST
Verified using the original reproducer in BRMS 6.2.1 CR2.

Note You need to log in before you can comment on or make changes to this bug.